# $Revision: 1.65 $, $Date: 2002/11/15 07:07:16 $
%include	/usr/lib/rpm/macros.python
Summary:	X interface to the GDB, DBX and XDB debuggers
Summary(ja):	GDB,DBX,Ladebug,JDB,Perl,PythonΥեǥХåΥեȥ
Summary(pl):	Interfejs X do debugerw GDB, DBX i XDB
Summary(zh_CN):	ͼλĳǰ;GDB,DBX,Ladebug,JDB,Perl,Python
Name:		ddd
Version:	3.3.1
Release:	16
License:	GPL
Group:		Development/Debuggers
Source0:	ftp://ftp.gnu.org/gnu/ddd/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}-python.desktop
Source3:	%{name}.png
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-ptrace.patch
Patch2:		%{name}-info.patch
Patch3:		%{name}-gcc3.patch
Icon:		ddd.xpm
URL:		http://www.gnu.org/software/ddd/
BuildRequires:	XFree86-devel
BuildRequires:	motif-devel
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	libstdc++-devel
BuildRequires:	python >= 2.2
BuildRequires:	texinfo
BuildRequires:	automake
BuildRequires:	rpm-pythonprov
Requires:	gdb
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
The Data Display Debugger (DDD) is a common graphical user interface
for GDB, DBX, and XDB, the popular UNIX debuggers. Besides
``classical'' front-end features such as viewing source texts, DDD
provides a graphical data display, where data structures are displayed
as graphs. A simple mouse click dereferences pointers or views
structure contents, updated each time the program stops. Using DDD,
you can reason about your application by viewing its data, not just by
viewing it execute lines of source code. Other DDD features include:
debugging of programs written in C, C++, Ada, Fortran, Java, Pascal,
Modula-2, or Modula-3; machine-level debugging; hypertext source
navigation and lookup; breakpoint, backtrace, and history editors;
preferences and settings editors; program execution in terminal
emulator window; debugging on remote host; on-line manual; interactive
help on the Motif user interface; GDB/DBX/XDB command-line interface
with full editing, history, search, and completion capabilities. DDD
has been designed to compete with well-known commercial debuggers

%description -l ja
DDDϡGDB,DBX,WDB,Ladebug,JDB,XDB,PerlǥХåޤPythonǥХå
Τ褦ʥޥɥ饤󷿥ǥХå򥰥ե뷿ΥǥХåѿȤ
եȥɤǤɤλΤ褦"̾"Υեȥ
εǽΤߤʤ餺DDDϥǡ¤򥰥դȤɽ롢ü
ǡɽ뤳Ȥͭ̾ˤʤޤ
 
%description -l pl
Data Display Debugger (DDD) jest typowym graficznym interfejsem do
GDB, DBX, i XDB - popularnych UNIXowych debuggerw. Poza
``klasycznymi'' moliwociami interfejsw graficznych takich jak
przegldanie kodw rdowych DDD dostarcza graficznych narzdzi,
gdzie struktury wywietlane s w postaci graficznej. Proste kliknicie
mysz pozwala na przegldanie zawartoci struktur (aktualizowane za
kadym razem gdy program si zatrzyma). Inne moliwoci DDD to:
moliwo debugowania programw napisanych w C, C++, Ada, Fortran,
Java, Pascal, Modula-2, or Modula-2; debugowanie na poziomie maszyny;
hypertekstowa nawigacja po rdach; breakpoint, backtrace i emulator
okna historii; moliwo ustawiania preferencji; uruchamianie
programw w oknie terminala; debugowanie na zdalnych serwerach;
podrcznik on-line; interaktywna pomoc; linia polece GDB/DBX/XDB z
pen edycj, histori i wyszukiwaniem.

%package python
Summary:	X interface to the GDB, DBX and XDB debuggers - The python debugger
Summary(pl):	Interfejs X do debugerw GDB, DBX i XDB - debugger pythona
Group:		Development/Debuggers
Requires:	%{name} = %{version}
%pyrequires_eq	python

%description python
Data Display Debugger - python debugger.

%description python -l pl
Data Display Debugger - debugger pythona.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__aclocal}
%{__automake}
%configure2_13 \
	--with-motif \
	--with-readline-libraries=%{_libdir}

%{__make} CXXOPT="-DNDEBUG %{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir} \
	$RPM_BUILD_ROOT%{_libdir}/X11/app-defaults \
	$RPM_BUILD_ROOT{%{_applnkdir}/Development,%{_pixmapsdir}}

%{__make} DESTDIR=$RPM_BUILD_ROOT install

install pydb/pydb.py $RPM_BUILD_ROOT%{_bindir}/pydb
install pydb/{pydbcmd,pydbsupt}.py $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}

install ddd/Ddd $RPM_BUILD_ROOT%{_libdir}/X11/app-defaults

install %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT%{_applnkdir}/Development
install %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}

mv doc/README README.doc

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc ANNOUNCE AUTHORS *BUGS INSTALL NEWS* PROBLEMS README* TIPS TODO doc/ddd.pdf
%doc doc/sample.dddinit
%{_applnkdir}/Development/ddd.desktop
%{_pixmapsdir}/*
%attr(755,root,root) %{_bindir}/ddd
%{_libdir}/X11/app-defaults/Ddd
%{_mandir}/man1/*
%{_datadir}/ddd*
%{_infodir}/ddd*

%files python
%defattr(644,root,root,755)
%{_applnkdir}/Development/ddd-python.desktop
%attr(755,root,root) %{_bindir}/pydb
%{py_sitedir}/*.py?

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ddd.spec,v $
Revision 1.65  2002/11/15 07:07:16  ankry
- added icon; rel. 16

Revision 1.64  2002/09/11 10:41:48  undefine
- new and more %doc

Revision 1.63  2002/09/10 23:54:11  undefine
- add %{__aclocal}
- use system readline, not built

Revision 1.62  2002/09/10 23:29:29  undefine
- ja/zh_CN description from TurboLinux

Revision 1.61  2002/05/21 23:12:47  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.60  2002/04/25 16:09:58  arturs
fixed a small typo

Revision 1.59  2002/04/11 13:46:43  wrobell
- rel. 15, stb

Revision 1.58  2002/04/11 13:45:32  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.57  2002/04/02 23:52:22  kloczek
- bump release to 14.

Revision 1.56  2002/03/31 00:29:00  filon
- added patch for gcc3 (from RH)
- release 11

Revision 1.55  2002/03/24 23:28:15  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.54  2002/02/23 01:44:58  kloczek
- adapterized.

Revision 1.53  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.52  2002/02/06 09:05:10  kloczek
- adapterized.

Revision 1.51  2002/02/03 23:39:46  kloczek
- release 10: rebuild against python 2.2.

Revision 1.50  2002/01/18 02:12:40  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.49  2001/12/31 18:48:27  wolf
- fixed description
- release 9

Revision 1.48  2001/11/26 10:48:35  kloczek
- reelase 8.

Revision 1.47  2001/11/12 17:53:11  wrobell
- fixed requires
- use python standard macros

Revision 1.46  2001/10/06 08:20:01  kloczek
- release 7.

Revision 1.45  2001/10/04 14:41:28  qboosh
- BuildRequires: automake

Revision 1.44  2001/08/06 13:16:02  kloczek
- release 6 (for allow upgrade from RH).

Revision 1.43  2001/08/04 17:38:15  qboosh
- info patch
- %%configure2_13 - too much work with ac250
- release 2

Revision 1.42  2001/07/26 05:42:06  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.40  2001/06/01 16:11:56  qboosh
- updated to 3.3.1

Revision 1.39  2001/05/02 00:42:08  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.38  2001/02/05 22:46:17  kloczek
- merge ptrace patch from RH with fix ptrace problems on sparc.

Revision 1.37  2001/02/05 17:09:29  kloczek
- spec adapterized,
- now spec is %%{debug} ready.

Revision 1.36  2001/02/05 16:51:31  wrobell
- up to 3.3 version, stb

Revision 1.35  2001/01/23 02:12:41  wrobell
- updated for 3.2.98:
    - info documentation
    - fixed file list
    - new DESTDIR patch
    - python modules compiled to bytecode

Revision 1.34  2000/12/16 16:17:04  mkochano
- Release 4.
- BuildRequires: Python.
- NOTE: previous release begin to segfaulting after upgrade of some libraries.
  Simple rebuild resolved this problem.

Revision 1.33  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.32  2000/11/12 16:58:51  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.31  2000/10/21 23:46:34  wrobell
- using python_sitepkgsdir macro

Revision 1.30  2000/08/27 02:04:38  mis
- removed pydb from main, it is owned by ddd-python

Revision 1.29  2000/07/13 23:07:04  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.28  2000/07/13 20:38:39  baggins
- release 2

Revision 1.27  2000/06/12 13:36:40  baggins
- change buildrequires from lesstif-devel to motif-devel

Revision 1.26  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.25  2000/05/29 16:54:30  bonkey
- updated to 3.2.1
- changed urls
- adapterized

Revision 1.24  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.22  1999/11/16 21:36:21  kloczek
- release 2,
- build against ncurses 5.0.

Revision 1.21  1999/11/08 16:24:38  kura
fixed pl translation

Revision 1.20  1999/10/14 23:04:27  kloczek
- added Requires: gdb.

Revision 1.19  1999/09/19 15:25:06  pius
- added BuildRequires rules
- fixed installation of *.desktop files
- cosmetics

Revision 1.18  1999/09/04 09:13:11  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.17  1999/08/19 14:31:41  kloczek
- updated to 3.1.6,
- wmconfig files replaced by desktop files.

Revision 1.16  1999/07/29 23:38:16  wrobell
- python files in %{_libdir}/python1.5

Revision 1.15  1999/07/26 09:26:33  misiek
- added missing translations

Revision 1.14  1999/07/16 19:22:24  baggins
- macros
- FHS 2.0
- cleanup

Revision 1.13  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Mar 21 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [3.1.4-1]
- removed man group from man pages,
- added Group(pl).

* Wed Dec  2 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [3.1-1]
- based on spec written by Alec Habig <habig@budoe.bu.edu>,
- only one package is now generated,
- added -q %setup parameter,
- added gziping man pages,
- changed Buildroot to /tmp/%%{name}-%%{version}-root,
- added using %%{name} and %%{version} in Source,
- removeda all %post{un} scripts,
- added package Icon,
- added python subpackage,
- removed Packager field (this must be placed in private ~/.rpmrc),
- added %attr and %defattr macros in %files (allows build package from
  non-root account).
